Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 454914 - Review Request: nxt_python - a package for controlling a LEGO NXT robot using python
Summary: Review Request: nxt_python - a package for controlling a LEGO NXT robot using...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Mamoru TASAKA
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-10 19:05 UTC by John McLean
Modified: 2008-08-12 13:28 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-08-12 13:28:31 UTC
mtasaka: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description John McLean 2008-07-10 19:05:44 UTC
Spec URL: http://jesusfreak91.googlepages.com/nxt_python.spec
SRPM URL: http://jesusfreak91.googlepages.com/nxt_python-0.7-1.fc9.src.rpm
Description: nxt_python is a package for controlling a LEGO NXT robot using the python programming language.  It can communicate with the robot via either bluetooth or usb (usb requires adding the user to the group 'lego').

Comment 1 manuel wolfshant 2008-07-29 22:59:29 UTC
Hum .. source0 seems plain wrong. Why not using the one from the project's site,
http://home.comcast.net/~dplau/nxt_python/download/nxt_python-0.7.tar.gz ? Not
to mention that the file bundled in the src.rpm is different than the one
specified now in %source.

python as a BR is redundant, python-devel will bring it in.

Creating a specific group should follow the guidelines available at
https://fedoraproject.org/wiki/Packaging/UsersAndGroups. Mind the "We never
remove users or groups created by packages." line. rpmlint also complains about
that (nxt_python.noarch: W: dangerous-command-in-%postun groupdel)

Otherwise things seem pretty OK.

Comment 2 John McLean 2008-07-30 13:32:54 UTC
Those problems should now be fixed, and the spec and srpm files updated.

Comment 3 manuel wolfshant 2008-07-30 14:04:46 UTC
Please increment the release tag each time you modify the spec, add an entry to
the changelog briefly describing the modifications and post the new URLs over here.

The changelog is mandatory for packages already in CVS but following the same
rule while the package is submitted for review helps both in tracking
modifications over time as well as developing a habit.


Comment 4 John McLean 2008-07-30 14:33:16 UTC
Alright, I've done that.  I should have remembered in the first place, but it's
a habit I'm still working on forming.

new srpm: http://jesusfreak91.googlepages.com/nxt_python-0.7-2.fc9.src.rpm

Comment 5 Mamoru TASAKA 2008-08-07 14:15:35 UTC
Well, for 0.7-2:

* SourceURL
  - Please use %name, %version macros. With using these macros
    perhaps you won't have to modify SourceURL when the version is
    upgraded.

* %PATCH0
  - I guess there is no needed to rename "COPYING" to "LICENSE".
    Please use COPYING file as it is.

* Requires
  - Please check if all needed rpms are correctly added to Requires.
    At least "pygtk2" seems needed for Requires as %_bindir/nxt_python
    contains:
-----------------------------------------------------------
    16  import cStringIO
    17  import gtk
    18  import os.path
-----------------------------------------------------------
    ! Note
      I usually check python module related Requires like below:
-----------------------------------------------------------
$ grep -h 'import ' `rpm -ql nxt_python | grep -v /usr/share/doc` | sort | uniq
-----------------------------------------------------------

* Udev rule config file
  - It seems that usually udev rule config files are not marked as
    (noreplace) (even if rpmlint warns about it)

Comment 6 John McLean 2008-08-07 14:59:48 UTC
Alright, those should be fixed.  

new srpm: http://jesusfreak91.googlepages.com/nxt_python-0.7-3.fc9.src.rpm

Comment 7 Mamoru TASAKA 2008-08-07 15:43:04 UTC
Okay.

-----------------------------------------------------------------
    This package (nxt_python) is APPROVED by mtasaka
-----------------------------------------------------------------

Comment 8 John McLean 2008-08-07 17:27:26 UTC
New Package CVS Request
=======================
Package Name: nxt_python
Short Description: Lego Mindstorms NXT Control Package
Owners: mcleanj
Branches: F-8 F-9
InitialCC: mcleanj
Cvsextras Commits: yes

Comment 9 Kevin Fenzi 2008-08-08 04:18:50 UTC
cvs done.

Comment 10 Mamoru TASAKA 2008-08-12 11:59:45 UTC
Please sumbit a request to push the rebuilt packages into F-9/8 repositories
on bodhi then close this bug as NEXTRELEASE.


Note You need to log in before you can comment on or make changes to this bug.